﻿@charset "UTF-8";

:root {
    --s-width: 900px;
    --s-gutter: 2.5rem;
    --c-background: rgb(0, 0, 0);
    --c-current-step: white;
    --c-text-stepper-current: black;
}

.stepper {
    --s-stepper-bullet: 2rem;
    --s-stepper-bullet-half: calc( var(--s-stepper-bullet) / 2 );
    --step-transition: background .5s, color .5s;
    --step-content: "✔︎";
    --step-color: hsl(0, 0%, 70%);
    --step-bar-bg: var(--color-primario);
    --step-bullet-bg: var(--step-bar-bg);
    --step-bullet-color: var(--c-text-stepper-current);
    counter-reset: current-step;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(1px, 1fr));
    position: relative;
    z-index: 1;
}
.stepper2 {
    --s-stepper-bullet: 2rem;
    --s-stepper-bullet-half: calc( var(--s-stepper-bullet) / 2 );
    --step-transition: background .5s, color .5s;
    --step-content: "✔︎";
    --step-color: hsl(0, 0%, 70%);
    --step-bar-bg: var(--color-primario);
    --step-bullet-bg: var(--step-bar-bg);
    --step-bullet-color: var(--c-text-stepper-current);
    counter-reset: current-step;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(1px, 1fr));
    position: relative;
    z-index: 1;
}
    .stepper[data-debug] {
        counter-reset: steps;
    }

        .stepper[data-debug]::after {
            content: "number of steps: " counter(steps);
            display: block;
            position: absolute;
            bottom: -1.5rem;
            width: 100%;
            text-align: center;
            color: #bf9540;
        }

        .stepper[data-debug] input {
            --s-separation: 1.5rem;
            position: absolute;
            display: initial;
            top: -2rem;
        }

            .stepper[data-debug] input:nth-of-type(1) {
                left: calc( var(--s-separation) * 1 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(2) {
                left: calc( var(--s-separation) * 2 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(3) {
                left: calc( var(--s-separation) * 3 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(4) {
                left: calc( var(--s-separation) * 4 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(5) {
                left: calc( var(--s-separation) * 5 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(6) {
                left: calc( var(--s-separation) * 6 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(7) {
                left: calc( var(--s-separation) * 7 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(8) {
                left: calc( var(--s-separation) * 8 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(9) {
                left: calc( var(--s-separation) * 9 + .75rem);
            }

            .stepper[data-debug] input:nth-of-type(10) {
                left: calc( var(--s-separation) * 10 + .75rem);
            }

.stepper__input {
    counter-increment: steps;
    display: none;
}

.stepper__step {
    counter-increment: current-step;
}

.stepper__input:checked ~ .stepper__step {
    --step-color: hsl(0, 0%, 30%);
    --step-bar-bg: #C6C7C8;
    --step-bullet-bg: var(--color-primario);
    --step-bullet-color: var(--step-bar-bg);
    --step-content: counter(current-step);
}

.stepper__input:checked + .stepper__step .stepper__button::after {
    background: linear-gradient(90deg, var(--color-primario) 50%, #C6C7C8 50%);
}



.stepper__input:checked ~ .stepper__step .stepper__content {
    opacity: 0;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.stepper__input:checked + .stepper__step {
    --step-bullet-bg: hsl(213, 70%, 50%);
    --step-bullet-color: var(--c-current-step);
    --step-color: var(--c-current-step);
}

    .stepper__input:checked + .stepper__step .stepper__button::before {
        box-shadow: 0 0 0 2px var(--color-primario);
    }


    .stepper__input:checked + .stepper__step .stepper__content {
        opacity: 1;
        pointer-events: auto;
        -webkit-user-select: auto;
        -moz-user-select: auto;
        -ms-user-select: auto;
        user-select: auto;
    }

.stepper__content {
    font-size: 19px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: center;
}
.stepper__next {
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: 0em;
    text-align: center;
    color: #6C6F70;
}

.stepper__content::-moz-selection {
    color: var(--c-current-step);
    background: var(--step-bullet-color);
}

.stepper__content::selection {
    color: var(--c-current-step);
    background: var(--step-bullet-color);
}

.stepper__button {
    position: relative;
    text-align: center;
    display: block;
}

    .stepper__button::before {
        content: var(--step-content);
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 auto var(--s-stepper-bullet-half);
        height: var(--s-stepper-bullet);
        width: var(--s-stepper-bullet);
        border-radius: var(--s-stepper-bullet);
        transition: var(--step-transition);
        background: var(--c-current-step);
        color: var(--c-text-stepper-current);
        box-shadow: 0 0 0 2px var(--color-primario);
    }



.stepper__button::after {
    content: "";
    position: absolute;
    width: 100%;
    height: calc( var(--s-stepper-bullet-half) / 2 );
    background: var(--step-bar-bg);
    transition: var(--step-transition);
    top: var(--s-stepper-bullet-half);
    left: 50%;
    transform: translate(0, -50%);
    z-index: -1;
}

.stepper__step:last-child .stepper__button::after {
    display: none;
}

.stepper--flexbox {
    display: none;
}

    .stepper--flexbox .stepper__step {
        flex-grow: 1;
        flex-shrink: 0;
        flex-basis: 0;
    }

body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    grid-area: content;
}

article {
    padding: var(--s-gutter) calc(50% - var(--s-width) / 2);
    background: #121212;
    color: #cccccc;
}

    article h1 {
        font-weight: 100;
        font-size: 2rem;
        padding: 0 var(--s-gutter);
        margin: 0;
    }

    article ul,
    article li {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    article li {
        padding-left: 1rem;
        text-indent: -0.7rem;
        padding-top: 0.5rem;
    }

        article li::before {
            content: "• ";
            color: var(--color-primario);
        }

    article ul,
    article p {
        padding: calc( var(--s-gutter) / 2 ) var(--s-gutter) 0;
    }

.container__item {
    margin: 0;
    padding: 0;
    list-style: none;
}

.container__item {
    padding: var(--s-gutter) calc(50% - var(--s-width) / 2);
    border-bottom: 2px solid rgba(255, 255, 255, 0.15);
}

    .container__item h2 {
        padding: calc(var(--s-gutter) / 2) var(--s-gutter) var(--s-gutter);
        margin: 0;
        text-transform: uppercase;
        font-weight: 100;
        color: #8a97a8;
        font-size: 1.4rem;
    }

.stepper__step-previous .stepper__previous-button::before {
    background-color: var(--color-primario);
    color: var(--c-current-step);
}


/*PROGRESS CIRCLE*/
.hdi-progress-mobile {
    width: 100%;
    margin-bottom: 20px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.hdi-progress-mobile-circle {
    float: left;
    margin-right: 15px;
    position: relative;
    min-width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: #65A518;
}

    .hdi-progress-mobile-circle .overlay {
        position: absolute;
        width: 80px;
        height: 80px;
        background-color: #ffffff;
        border-radius: 50%;
        margin-left: 10px;
        margin-top: 10px;
        text-align: center;
        line-height: 20px;
        font-size: 16px;
        font-weight: bolder;
        font-family: "Arial";
        display: flex;
        justify-content: center;
        align-items: center;
    }

.hdi-progress-mobile .titulo {
    font-family: "Arial";
    color: #000000;
    font-weight: bold;
    font-size: 19px;
}

.hdi-progress-mobile .subtitulo {
    font-family: "Arial";
    color: #C6C7C8;
    font-weight: 400;
    font-size: 17px;
}

.progress-0 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(90deg, #65A518 50%, #EEEEEF 50%, #C6C7C8);
}

.progress-5 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(108deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-10 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(126deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-15 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(144deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-20 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(162deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-25 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(180deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-30 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(198deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-35 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(216deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-40 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(234deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-45 {
    background-image: linear-gradient(90deg, #C6C7C8 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(252deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-50 {
    background-image: linear-gradient(-90deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-55 {
    background-image: linear-gradient(-72deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-60 {
    background-image: linear-gradient(-54deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-65 {
    background-image: linear-gradient(-36deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-70 {
    background-image: linear-gradient(-18deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-75 {
    background-image: linear-gradient(0deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-80 {
    background-image: linear-gradient(18deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-85 {
    background-image: linear-gradient(36deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-90 {
    background-image: linear-gradient(54deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-95 {
    background-image: linear-gradient(72deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.progress-100 {
    background-image: linear-gradient(90deg, #65A518 50%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0)), linear-gradient(270deg, #65A518 50%, #C6C7C8 50%, #C6C7C8);
}

.circulo-con-svg {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background-color: var(--color-primario) !important;
    /* Color de fondo del círculo */
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
}

.contenedor-icono-texto {
    display: flex;
    flex-direction: column;
    align-items: center;
}

